﻿-- LGeneral AddOn Options

RT_Options = {
	desc = {
		rarity = {
			[0] = "|c00ffffffOff|r",
			[1] = "|c009d9d9dPoor|r",
			[2] = "|c00ffffffCommon|r",
			[3] = "|c001eff00Uncommon|r",
			[4] = "|c000070ddRare|r",
			[5] = "|c00a335eeEpic|r",
			[6] = "|c00ff8000Legendary|r",
			[7] = "|c00e6cc80Artifact|r",
        },
		logGroup = {
			[0] = "|c00ffffffOff|r",
			[1] = "|c00ffffffLog|r",
			[2] = "|c00ffffffAuto create|r",
        },        
		logAttendees = {
			[0] = "|c00ffffffOff|r",
			[1] = "|c00ffffffOn boss kill|r",
			[2] = "|c00ffffffOn loot|r",
			[3] = "|c00ffffffOn boss kill (Zone)|r",
        },
		autoEvent = {
			[0] = "|c00ffffffOff|r",
			[1] = "|c00ffffffOn mouseover|r",
			[2] = "|c00ffffffOn boss kill|r",
			[3] = "|c00ffffffAsk Next|r",
		},
		export = {
			[0] = "|c00ffffffMLdkp 1.1/EQdkp Plugin|r",
			[1] = "|c00ffffffEQdkp Unknown|r",
			[2] = "|c00ffffffMLdkp 1.5|r",
		},
		logWipe = {
			[0] = "|c00ffffffOff|r",
			[1] = "|c00ffffffLog|r",
			[2] = "|c00ffffffAsk at 10%|r",
			[3] = "|c00ffffffAsk at 20%|r",
			[4] = "|c00ffffffAsk at 30%|r",
			[5] = "|c00ffffffAsk at 40%|r",
			[6] = "|c00ffffffAsk at 50%|r",
			[7] = "|c00ffffffAsk at 60%|r",
			[8] = "|c00ffffffAsk at 70%|r",
			[9] = "|c00ffffffAsk at 80%|r",
		},
		itemopt = {
			[0] = "|c00ffffffDefault|r",
			[1] = "|c00ffffffNever|r",
			[2] = "|c00ffffffAlways|r",
        },
	},
}


function RT_Options:GetCheckedVal( element )
    if element:GetChecked() == 1 then
        return 1;
    end
	return 0;
end


function RT_Options:OnShow( frame )
	local options = KARaidTrackerDB.Options;
	
    local L = KARaidTracker._acelib.L;
    RT_OptionsFrameHeaderTitle:SetText(L["RaidTracker Options"]);
--    RT_OptionsFrameHeaderText:SetText(L["Options for raids, parties, arenas, bgs, and solo."]);    
    RT_OptionsFrameSection1Title:SetText(L["Logging:"]);
		RT_OptionsFrameAutoRaidTitle:SetText(L["Raids:"])
		RT_OptionsFrameAutoPartyTitle:SetText(L["Parties:"])
		RT_OptionsFrameAutoSoloTitle:SetText(L["Solo:"])
		RT_OptionsFrameAutoBattlegroupTitle:SetText(L["Battelgroups:"])
		RT_OptionsFrameAutoArenaTitle:SetText(L["Arenas:"])    
		RT_OptionsFrameLogAttendeesTitle:SetText(L["Attendees:"])   
		RT_OptionsFrameLogGuildTitle:SetText(L["Guild:"])   
		RT_OptionsFrameLogWipeTitle:SetText(L["Wipes:"])   
    RT_OptionsFrameSection2Title:SetText(L["Item Quality:"]);
		RT_OptionsFrameLogItemsTitle:SetText(L["Min to log:"])
		RT_OptionsFrameCostAskTitle:SetText(L["Min to ask cost:"])
		RT_OptionsFrameCostGetTitle:SetText(L["Min to get cost:"])
		RT_OptionsFrameGroupItemsTitle:SetText(L["Max to group:"])
    RT_OptionsFrameSection3Title:SetText(L["Advanced:"]);
		RT_OptionsFrameAutoEventTitle:SetText(L["Auto Event:"])
		RT_OptionsFrameLevelMaxTitle:SetText(L["Export level:"])
		RT_OptionsFrameAutoZoneTitle:SetText(L["Auto Zone:"])
		RT_OptionsFrameSaveExtPlayerTitle:SetText(L["Player Detail:"])
		RT_OptionsFrameSaveTooltipsTitle:SetText(L["Item tooltips:"])
		RT_OptionsFrameDebugModeTitle:SetText(L["Debug Mode:"])
		RT_OptionsFrameExportFormatTitle:SetText(L["Export Format:"])

	RT_OptionsFrameAutoRaid:SetValue(			options["AutoRaid"]);
	RT_OptionsFrameAutoParty:SetValue(			options["AutoParty"]);
	RT_OptionsFrameAutoSolo:SetValue(			options["AutoSolo"]);
    RT_OptionsFrameAutoBattlegroup:SetValue(	options["AutoBattlegroup"]);
    RT_OptionsFrameAutoArena:SetValue(			options["AutoArena"]);

	RT_OptionsFrameLogAttendees:SetValue(		options["LogAttendees"]);
	RT_OptionsFrameLogGuild:SetValue(			options["LogGuild"]);
    RT_OptionsFrameLogWipe:SetValue(			options["LogWipe"]);

	RT_OptionsFrameLogItems:SetValue(			options["LogItems"]);	
	RT_OptionsFrameCostAsk:SetValue(			options["CostAsk"]);
	RT_OptionsFrameCostGet:SetValue(			options["CostGet"]);
    RT_OptionsFrameGroupItems:SetValue(			options["GroupItems"]);
	
	RT_OptionsFrameAutoEvent:SetValue(			options["AutoEvent"]);
	RT_OptionsFrameLevelMax:SetValue(			options["LevelMax"]);	
    RT_OptionsFrameAutoZone:SetChecked(			options["AutoZone"]);
    RT_OptionsFrameSaveExtPlayer:SetChecked(	options["SaveExtPlayer"]);
	RT_OptionsFrameSaveTooltips:SetChecked(		options["SaveTooltips"]);
	RT_OptionsFrameDebugMode:SetChecked(		options["DebugMode"]);
	RT_OptionsFrameExportFormat:SetValue(		options["ExportFormat"]);

--	RT_OptionsFrameTimeSync:SetChecked(		options["TimeSync"]);
--	RT_OptionsFrameTimeZone:SetValue(			options["Timezone"]);
--	RT_OptionsFrameUseTimeFormat:SetChecked(	options["TimeFormat"]);

end


function RT_Options:OnSave( frame )
 	local options = KARaidTrackerDB.Options;
	
    options["AutoRaid"]			= RT_OptionsFrameAutoRaid:GetValue();
    options["AutoParty"]		= RT_OptionsFrameAutoParty:GetValue();
    options["AutoSolo"]			= RT_OptionsFrameAutoSolo:GetValue();
    options["AutoBattlegroup"]	= RT_OptionsFrameAutoBattlegroup:GetValue();
    options["AutoArena"]		= RT_OptionsFrameAutoArena:GetValue();

    options["LogAttendees"]		= RT_OptionsFrameLogAttendees:GetValue();
    options["LogGuild"]			= RT_OptionsFrameLogGuild:GetValue();
    options["LogWipe"]			= RT_OptionsFrameLogWipe:GetValue();

    options["LogItems"]			= RT_OptionsFrameLogItems:GetValue();
    options["CostAsk"]			= RT_OptionsFrameCostAsk:GetValue();
    options["CostGet"]			= RT_OptionsFrameCostGet:GetValue();
    options["GroupItems"]		= RT_OptionsFrameGroupItems:GetValue();

    options["AutoEvent"]		= RT_OptionsFrameAutoEvent:GetValue();
    options["LevelMax"]			= RT_OptionsFrameLevelMax:GetValue();
    options["AutoZone"]			= self:GetCheckedVal(RT_OptionsFrameAutoZone);
    options["SaveExtPlayer"]	= self:GetCheckedVal(RT_OptionsFrameSaveExtPlayer);
    options["SaveTooltips"]		= self:GetCheckedVal(RT_OptionsFrameSaveTooltips);
    options["DebugMode"]		= self:GetCheckedVal(RT_OptionsFrameDebugMode);
    options["ExportFormat"]		= RT_OptionsFrameExportFormat:GetValue();

--    options["TimeSync"]			= self:GetCheckedVal(RT_OptionsFrameTimeSync);
--    options["TimeFormat"]		= self:GetCheckedVal(RT_OptionsFrameUseTimeFormat);
--    options["Timezone"]			= RT_OptionsFrameTimeZone:GetValue();

	KA_RaidTracker_Update();
	KA_RaidTracker_UpdateView();
end